DECLARE SUB swordend ()
DECLARE SUB shotend ()
DECLARE SUB shotend2 ()
DECLARE SUB text ()
DECLARE SUB nukeend ()
DECLARE SUB fireend ()
DECLARE SUB aaawelcome ()
DECLARE SUB road30 ()
DECLARE SUB train ()
DECLARE SUB desert ()
DECLARE SUB water ()
DECLARE SUB help ()
DECLARE SUB mistake ()
DECLARE SUB quit ()
data$ = "C:\kings\murder.aea"
dollar = 1
anne = 1
rifle = 1
bullet = 1
sword = 1
SCREEN 12
CLS
10
' aaaforkinroad30
GOSUB aaapic
VIEW PRINT 1 TO 30
SLEEP 9
20
CALL aaawelcome
25
INPUT "Do you want play , yes or no......;", x$
IF x$ = "yes" THEN
GOTO 30
END IF
IF x$ = "no" THEN
STOP
ELSE
GOTO 25
END IF

30
data$ = "c:\kings\road.aea"
GOSUB aaapic
31
CALL text
PRINT "You come to a fork in the road. You can go left or go right"
40


INPUT "......?", x$
IF x$ = "look" OR x$ = "look around" THEN
PRINT " You see a fork in the road but nothing remotely interesting. "
GOTO 40
END IF
IF x$ = "right" OR x$ = "east" THEN
GOTO 60
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 50
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 130
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 180
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 30
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 40
ELSE CALL mistake
GOTO 40
END IF

50
data$ = "c:\kings\farm50.aea"
GOSUB aaapic
CALL text
PRINT "There is a farm here and a large row of trees and a house. "
farm50:
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 30
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 70
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 120
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 190
END IF
IF x$ = "look" OR x$ = "look around" THEN
GOTO 58
END IF

IF x$ = "inventory" OR x$ = "inv" THEN
GOSUB inventory
GOTO 50
END IF

IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "go into the house" OR x$ = "enter house" OR x$ = "knock on the door" THEN
GOTO 51
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO farm50
ELSE CALL mistake
GOTO farm50
END IF

51
CLS
data$ = "c:\kings\farm51.aea"
GOSUB aaapic
CALL text
PRINT "You knock on the door but no one answers"

farm51:
INPUT "......?", x$
IF x$ = "look at door" OR x$ = "look at house" OR x$ = "look around" OR x$ = "look" THEN
PRINT "you see a wooden door with a straw mat at it's feet."
GOTO farm51
END IF
IF x$ = "look at mat" OR x$ = "take mat" OR x$ = "look mat" THEN
GOTO 52
END IF
IF x$ = "open door with key" OR x$ = "use key on the door" OR x$ = "put key in door" THEN
GOTO 53
END IF
IF x$ = "left" OR x$ = "right" OR x$ = "up" OR x$ = "north" OR x$ = "down" OR x$ = "south" OR x$ = "leave house " THEN
GOTO 50
END IF
IF x$ = "inventory" OR x$ = "inv" THEN
GOSUB inventory
GOTO 51
END IF
IF x$ = "exit" OR x$ = "quit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO farm51
ELSE
CALL mistake
GOTO farm51
END IF

52
IF keya = 1 OR keya = 2 THEN
PRINT "You pick up the mat but see nothing special about it"
GOTO farm51
ELSE
PRINT "You pick up the mat and look at it . Underneath the mat you find a key. You pick  it up and take it with you."
keya = 1
GOTO farm51
END IF

53
IF keya = 1 THEN
GOTO 54
ELSE
PRINT "But you don't have a key for the door"
GOTO farm51
END IF

54
IF keyb = 1 OR keyb = 2 THEN
CLS
data$ = "c:\kings\farm55.aea"
GOSUB aaapic
CALL text
PRINT "The door has opened. You now go inside."
SLEEP 3
GOTO 55
ELSE
CLS
data$ = "c:\kings\farm55.aea"
GOSUB aaapic
CALL text
PRINT "The door has opened. You now go inside. Inside you find a large padlock key .  You pick it up and take it with you"
keyb = 1
GOTO 55
END IF

55
farm55:
INPUT ".......?", x$
IF x$ = "look around" OR x$ = "look" THEN
PRINT "This house is rather shabby but it is filled with a lot of artwork and collectables , however you don't need anything else to continue with your quest."
GOTO farm55
END IF
IF x$ = "leave house" OR x$ = "go outside" OR x$ = "open door" THEN
PRINT " you go outside"
GOTO 50
END IF
IF x$ = "exit" OR x$ = "quit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO farm55
ELSE
CALL mistake
GOTO farm55
END IF

58
IF gold = 1 OR gold = 2 THEN
PRINT "You look around the farm but you see nothing of much interest"
GOTO farm50
ELSE
PRINT "You look around and find a bag of gold coins. You pick them up and take them with you"
gold = 1
GOTO farm50
END IF


60
' aaatowncentre60
data$ = "c:\kings\town60.aea"
GOSUB aaapic
CALL text
PRINT " This is the center of town and a right next to you is a bin."

61
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 80
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 30
END IF
IF x$ = " go inside bin" OR x$ = " climb into bin" OR x$ = "look into the bin" OR x$ = "look at the bin" OR x$ = "look at bin" THEN
GOTO 62
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look around and see a well"
GOTO 61
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 140
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 170
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 60
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 61
ELSE
CALL mistake
GOTO 61
END IF

62
IF gun = 1 OR gun = 2 THEN
PRINT "You look inside the bin but you see nothing of interest."
GOTO 61
ELSE
PRINT " Inside the bin you find a gun. You take it with you."
gun = 1
GOTO 61
END IF

70
' aaafield70
data$ = "c:\kings\field70.aea"
GOSUB aaapic
CALL text
PRINT "There is a large empty field here."

71
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 50
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 90
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 110
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 200
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "There is nothing but a huge empty field here"
GOTO 71
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 70
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 71
ELSE
CALL mistake
GOTO 71
END IF





80
' aaapier80
data$ = "c:\kings\pier80.aea"
GOSUB aaapic
CALL text
PRINT "There is a pier here that leads from the beach to about 20 meters out into sea.  Near the pier is a boat."
81
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
'' water
GOTO 81
END IF
IF x$ = "look at boat" OR x$ = "go to boat" OR x$ = "look at boat" OR x$ = "go to the boat" THEN
GOTO 82
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 60
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 150
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 160
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 80
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 81
ELSE
CALL mistake
GOTO 81
END IF

82

data$ = "c:\kings\boat.aea"
GOSUB aaapic
CALL text
PRINT "You see a boat that seems abandoned"
83
INPUT "......?", x$
IF x$ = "look inside boat" OR x$ = "look in boat" OR x$ = "Go inside the boat" THEN
fish = 1
PRINT "Inside the boat you find a fishing rod which you take with you"
GOTO 83
END IF
IF x$ = "leave boat " OR x$ = "left" OR x$ = "right" OR x$ = "up" OR x$ = "down" OR x$ = "east" OR x$ = "west" OR x$ = "north" OR x$ = "south" OR x$ = "leave the boat" OR x$ = "go to pier" OR x$ = "go to the pier" THEN
PRINT "You decide to go back to shore."
SLEEP 2
GOTO 80
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 82
END IF
IF x$ = "exit" OR x$ = "quit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 83
ELSE
CALL mistake
GOTO 83
END IF

90
' aaadesertpic
data$ = "c:\kings\desert.aea"
GOSUB aaapic
CALL text
PRINT "There is a desert here and as far as the eye can see to the left."
91
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 70
END IF
IF x$ = "left" OR x$ = "west" THEN
' desert
GOTO 91
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 100
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 210
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look around but all you see is an empty desert"
SLEEP 5
GOTO 91
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 90
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 91
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 91
ELSE
CALL mistake
GOTO 91
END IF

100
' aaadesertpic
data$ = "c:\kings\desert.aea"
GOSUB aaapic
CALL text
PRINT "There is a hot dry desert here."
101
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 110
END IF
IF x$ = "left" OR x$ = "west" THEN
' desert
GOTO 101
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 100
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 330
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 90
END IF
IF x$ = "look" OR x$ = "look around" THEN
GOTO 102
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 101
ELSE
CALL mistake
GOTO 101
END IF

102
IF vodka = 1 THEN
PRINT "You look around but you can see  only a vast desert."
GOTO 101
ELSE
PRINT "you look around but all you see is a desert. You look at some cactus and find a bottle    of vodka in it. You pick it up and take it with you."
vodka = 1
GOTO 101
END IF


110
' aaaforestpic
data$ = "c:\kings\forest.aea"
GOSUB aaapic
CALL text
PRINT "There is a big forest here and a lot of shrubberry on the ground."
112
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 120
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 110
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 100
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 320
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 70
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "you see nothing worth taking with you in this forest"
GOTO 112
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 112
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 112
ELSE
CALL mistake
GOTO 112
END IF

120
' aaawizardshouse120
data$ = "c:\kings\wizhouse.aea  "
GOSUB aaapic
CALL text
PRINT "The wizard of the town of manor lives here , probaly because this is the town of manor."
122
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 130
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 120
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 110
END IF
IF x$ = "knock on the door" OR x$ = "see the wizard" OR x$ = "enter house" THEN
GOTO 125
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 310
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 50
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 122
ELSE
CALL mistake
GOTO 122
END IF

125
IF spell = 1 THEN
data$ = "c:\kings\inwizhou.aea "
GOSUB aaapic
CALL text
PRINT "The wizard thanks you for finding his spell and tells you that in order to buy a train ticket , you have to give his daughter Sue a dollar.The wizard gives you a dollar coin. You thank the wizard.PRESS ANY KEY"
dollar = 1
SLEEP
GOTO 121
ELSE
data$ = "c:\kings\inwizhou.aea "
GOSUB aaapic
CALL text
PRINT "You have a good talk to the wizard and he say's that he will help you on your way  if you can find a magic spell that he lost while walking through the town of manor.PRESS ANY KEY"
SLEEP
GOTO 121
END IF


121

PRINT "The wizard didn't  ask you to go outside so you are free to look around for the  time being."
123
INPUT "......?", x$
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You have a look around the wizard's strange house and notice that it looks more     like a laboratory than a dwelling. The wizard himself is very old looking."
GOTO 123
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 123
END IF
IF x$ = "leave" OR x$ = "leave house" OR x$ = "south" THEN
GOTO 120
ELSE
CALL mistake
GOTO 123
END IF


130
' aaaforestpic
data$ = "c:\kings\forest.aea"
GOSUB aaapic
CALL text
PRINT "There is a small forest here and you notice nothing exceptional about it."
132
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 140
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 120
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 300
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 130
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "you look around but see nothing of interest"
GOTO 132
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 30
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 132
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 132
ELSE
CALL mistake
GOTO 132
END IF



140
' aaajail140
data$ = "c:\kings\jail.aea"
GOSUB aaapic
CALL text
PRINT "You have just entered the main street of the town of manor and notice it's jail."
143
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 150
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 140
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT " You see the town's jail right in front of you."
GOTO 143
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 130
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 290
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 60
END IF
IF x$ = "go into the jail" OR x$ = "go to the jail" OR x$ = "enter jail" THEN
GOTO 141
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 143
ELSE
CALL mistake
GOTO 143
END IF

141
CLS
data$ = "c:\kings\injail.aea"
GOSUB aaapic
CALL text
PRINT "You go into the jail. There is a policeman named Cheif Wiggum and and a policewoman named Jane , a crimanal named Jimbo and a witness named Homer."
144
INPUT "......?", x$
IF x$ = "talk to cheif" OR x$ = "Talk to wiggum" THEN
GOTO 142
END IF
IF x$ = "talk to jane" OR x$ = "Talk to Jane" THEN
PRINT "Jane tells you that she has had a busy week and can't take part in idle chat"
GOTO 144
END IF
IF x$ = "talk to jimbo" OR x$ = "Talk to Jimbo" THEN
PRINT "Jimbo says  I'm innocent of the crime man , seriously "
GOTO 144
END IF
IF x$ = "exit" OR x$ = "quit" THEN
GOTO quit
END IF
IF x$ = "leave jail" OR x$ = "leave the jail" THEN
GOTO 140
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 141
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 144
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "It is a standard jail and nothing really worth mentioning catches your eye."
GOTO 144
END IF
IF x$ = "talk to homer" OR x$ = "Talk to Homer" THEN
PRINT "Homer tells you that the crim Jimbo tried to kill me !!"
GOTO 144
ELSE
CALL mistake
GOTO 144
END IF

142
IF gun = 1 THEN
PRINT "Thanks a lot Jim ,you saved my ass. Oh and here is this thing I promised you ,   it's a voodoo doll. Some one brought it in here , anyway you can have it. "
vdoll = 1
GOTO 144
ELSE
PRINT "You ask fred what is going on at the police station at the moment.    He tells you that Jimbo assaulted Homer but they havn't been able to find the gun"
PRINT "                                 PRESS ANY KEY"
SLEEP
PRINT "Jimbo used yet. He says that if you can find the murder weapon there will be    something in it for you."
GOTO 144
END IF

150
' aaabeachpic
data$ = "c:\kings\beach.aea"
GOSUB aaapic
CALL text
PRINT "You are on the beach and there is water all the way to the right."
151
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
' water
GOTO 151
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 140
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 280
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 150
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 80
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see nothing of interest apart from the beautiful surf."
GOTO 151
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 151
ELSE
CALL mistake
GOTO 151
END IF

160
' aaabeachpic
data$ = "c:\kings\beach.aea"
GOSUB aaapic
CALL text
PRINT "You are on the beach and there is water all the way to the right. "
161
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
' water
GOTO 161
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 160
END IF

IF x$ = "left" OR x$ = "west" THEN
GOTO 170
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 80
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 270
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look around but see nothing of interest"
GOTO 161
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 161
ELSE
CALL mistake
GOTO 161
END IF

170
' aaageneralstore170
data$ = "c:\kings\store.aea"
GOSUB aaapic
CALL text
PRINT "You notice the general store and the scrap metal store on the main street."
store:
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 160
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 170
END IF

IF x$ = "left" OR x$ = "west" THEN
GOTO 180
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 60
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 260
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look around and you see two stores ,a general store and a mechanical store."
GOTO store
END IF
IF x$ = "go into the general store" OR x$ = "general store" OR x$ = "enter the general store" OR x$ = "look at general store" OR x$ = "go into the general store" THEN
GOTO 171
END IF
IF x$ = "go into the metal store" OR x$ = "metal store" OR x$ = "enter the scrap metal store" OR x$ = "look at mechanical store" THEN
GOTO 177
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO store
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO store
ELSE
CALL mistake
GOTO store
END IF

171
data$ = "c:\kings\instore.aea"
GOSUB aaapic
CALL text
PRINT "You see the shopkeeper and notice on the shelf 3 things that you want to buy ; eggs , milk with extra cream,and sugar. "
gensto:
INPUT "......?", x$
IF x$ = "leave store" OR x$ = "leave the general store" OR x$ = "left" OR x$ = "right" THEN
GOTO 170
END IF
IF x$ = "buy eggs" OR x$ = "take eggs" OR x$ = "buy the eggs" THEN
e = 1
GOTO 172
END IF
IF x$ = "buy milk" OR x$ = "take milk" OR x$ = "buy the milk " THEN
m = 1
GOTO 172
END IF
IF x$ = "help " OR x$ = "help me" THEN
CALL help
GOTO gensto
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look at the products on offer and decide that they could make a good       hangover cure."
GOTO gensto
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "buy sugar" OR x$ = "take sugar" OR x$ = "buy the sugar" THEN
s = 1
GOTO 172
ELSE
CALL mistake
GOTO gensto
END IF

172
IF gold = 1 THEN
GOTO 173
ELSE
PRINT "But you don't have any money"
SLEEP 5
GOTO gensto
END IF

173
IF e = 1 THEN
GOTO 174
END IF
IF m = 1 THEN
GOTO 175
END IF
IF s = 1 THEN
GOTO 176
END IF

174
IF eggs = 1 THEN
e = 0
PRINT "There is no need for you to buy more eggs."
GOTO gensto
ELSE
PRINT "The shopkeeper hands you a dozen eggs in exchange for a single gold coin."
eggs = 1
GOTO gensto
END IF

175
IF milk = 1 THEN
m = 0
PRINT "There is no need for you to buy any more milk with extra cream."
GOTO gensto
ELSE
PRINT "The shopkeeper hands you a bottle of milk with extra cream in exchange for a single gold coin."
milk = 1
GOTO gensto
END IF

176
IF sugar = 1 THEN
s = 0
PRINT "There is no need for you to buy any more sugar."
GOTO gensto
ELSE
PRINT "The shopkeeper hands you a container of sugar in exchange for a single gold coin."
sugar = 1
GOTO gensto
END IF

177
CLS
data$ = "c:\kings\metal.aea"
GOSUB aaapic
CALL text
PRINT "The attendant in charge of the mechanical store tells you that all they have left  is some scrap metal and a box of 6 shotgun cartridges"
mecsto:
INPUT "......?", x$
IF x$ = "leave store" OR x$ = "leave the mechanical store" OR x$ = "left" OR x$ = "right" THEN
GOTO 170
END IF
IF x$ = "buy scrap metal" OR x$ = "buy scrapmetal" OR x$ = "take metal" OR x$ = "buy the metal" THEN
me = 1
GOTO 178
END IF
IF x$ = "buy bullets" OR x$ = "buy shotgun cartridges" OR x$ = "buy the bullets " THEN
b = 1
GOTO 178
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 177
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "This store looks more like a gun shop than a mechanical store , except for the  absence of actual guns"
GOTO mecsto
END IF
IF x$ = "help " OR x$ = "help me" THEN
CALL help
GOTO mecsto
END IF
IF x$ = "quit " OR x$ = "exit" THEN
GOTO quit
ELSE
CALL mistake
GOTO mecsto
END IF

178
IF gold = 1 THEN
GOTO 179
ELSE
PRINT " But you have no money."
GOTO mecsto
END IF

179
IF me = 1 THEN
GOSUB scrapmetal
GOTO mecsto
END IF
IF b = 1 THEN
GOSUB shotgun
GOTO mecsto
END IF
scrapmetal:
me = 0
IF metal = 1 THEN
PRINT " But you already bought all the scrapmetal"
RETURN
ELSE
PRINT "The attendant hands you the scrapmetal in exchange for 2 gold coins"
metal = 1
RETURN
END IF


shotgun:
b = 0
IF bullet = 1 THEN
PRINT " But you already bought all the shotgun cartridges"
RETURN
ELSE
PRINT "The attendant hands you the box of shotgun cartridges in exchange for 1 gold coin"
bullet = 1
RETURN
END IF


180
' aaacastle180
data$ = "c:\kings\water.aea"
GOSUB aaapic
CALL text
PRINT "As much as you would love to go back home to your castle you decide that you would    rather go find and kill the murderer of your father."
181
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 170
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 190
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 180
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT " This is your castle, but as much as you would like to go inside you remind yourself of   what you have to do. "
GOTO 181
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 30
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 250
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 181
ELSE
CALL mistake
GOTO 181
END IF

190
' aaacoalmine190
data$ = "c:\kings\coals.aea  "
GOSUB aaapic
CALL text
PRINT "On the top of the hill you notice a coal shaft that is padlocked"
193
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 180
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 190
END IF
IF x$ = "use key on padlock" OR x$ = "use padlock key" OR x$ = "use key" THEN
GOTO 191
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 200
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 50
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 240
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see nothing interesting apart from the coalmine.It is locked."
GOTO 193
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 193
ELSE
CALL mistake
GOTO 193
END IF

191
keyb = 1
IF keyb = 1 THEN
GOTO 192
END IF
IF keyb = 2 THEN
PRINT "This mine is property of the powerstation now and you sold your key to them."
SLEEP 5
GOTO 190
ELSE
PRINT "How can you unlock the padlock if you have no key?"
SLEEP 5
GOTO 190
END IF

192
CLS
data$ = "c:\kings\incoal.aea  "
GOSUB aaapic
PRINT "The coalmine is full of coal and there are a couple of danger signs around "
CALL text
194
INPUT "......?", x$
IF x$ = "leave" OR x$ = "leave mine" THEN
GOTO 190
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 192
END IF
IF x$ = "take coal" OR x$ = "pick up coal" THEN
coal = 1
PRINT "you find a 10 kg block of coal on the ground. You pick it up and take it with you."
GOTO 194
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "all you see around here is coal and coal dust. You see a loose piece of coal     on the ground."
GOTO 194
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 194
ELSE
CALL mistake
GOTO 194
END IF



200
' aaacave200
data$ = "c:\kings\cave.aea"
GOSUB aaapic
CALL text
PRINT " In the middle  of the field you notice a cave that has a small opening at the   front. The opening has been blocked by a small hatch with a large padlock attached to it."
203
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 190
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT " You look around but see nothing of much interest except that the cave is padlocked."
GOTO 203
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 210
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 200
END IF
IF x$ = "use key on padlock" OR x$ = "use the key" OR x$ = "use padlock key" OR x$ = "unlock padlock" THEN
GOTO 201
END IF

IF x$ = "north" OR x$ = "up" THEN
GOTO 70
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 230
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 203
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 203
ELSE
CALL mistake
GOTO 203
END IF

201
IF keyc = 1 THEN
GOTO 202
ELSE
PRINT "You do not have the right key"
SLEEP 5
GOTO 203
END IF

202
data$ = "c:\kings\incave.aea"
GOSUB aaapic
208
CALL text
PRINT " You climb inside the cave and have a look around. You see some large rock       crystals coming down from the ceiling and strangely , a couple of pieces of      paper on the ground. "
205
INPUT "......?", x$
IF x$ = "look" OR x$ = "or look around" OR x$ = "look at the paper" OR x$ = "look at the pieces of paper" OR x$ = "look at paper" THEN
PRINT "You look around the cave and a piece of paper catches your eye. It is a spell entitled 'MANIPULATION OF TIME'. You pick it up and take it with you. "
spell = 1
GOTO 205
END IF
IF x$ = "leave" OR x$ = "leave cave" OR x$ = "south" THEN
GOTO 200
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 200
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 205
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 205
ELSE
CALL mistake
GOTO 205
END IF





210
' aaadesertpic
data$ = "c:\kings\desert.aea"
GOSUB aaapic
CALL text
PRINT "You are at the beginning of a desert that goes as far as the eye can see to the left "
211
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 200
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 210
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see nothing of much interest."
GOTO 211
END IF
IF x$ = "left" OR x$ = "west" THEN
' desert
GOTO 211
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 90
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 220
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 211
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 211
ELSE
CALL mistake
GOTO 211
END IF
GOTO 211

220
' aaadesertpic
data$ = "c:\kings\desert.aea"
GOSUB aaapic
CALL text
PRINT "a desert surrounds you and you see nothing , except to the right where you spot some train tracks."
221
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 230
END IF
IF x$ = "left" OR x$ = "west" THEN
' desert
GOTO 220
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 220
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see nothing of much interest around here."
GOTO 221
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 210
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 330
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 221
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 221
ELSE
CALL mistake
GOTO 221
END IF

230
' aaawitcheshouse230
data$ = "c:\kings\houseof3.aea"
GOSUB aaapic
CALL text
PRINT "You have stumbled on to the house of the three witches , better be careful.    You see a train go by."
233
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 240
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 230
END IF
IF x$ = "knock on door" OR x$ = "knock on the door" OR x$ = "see the witches" THEN
GOTO 231
END IF
IF x$ = "look" OR x$ = "look around " THEN
PRINT "You look around to see one of the ugliest houses ever seen, but apart from"
PRINT "that you see nothing of interest."
GOTO 233
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 220
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 200
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 320
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 233
ELSE
CALL mistake
GOTO 233
END IF

231
IF vdoll = 1 OR vdoll = 2 THEN
GOTO 232
ELSE
PRINT "You talk to the witches. They tell you that they don't care about your quest ,"
PRINT "but if you find their missing voodoo doll they will give you a key.You quickly"
PRINT "leave, not wanting to disturb the witches any longer."
SLEEP 10
GOTO 230
END IF

232
IF wit = 1 THEN
wit = 2
PRINT "You enter the house , but the witches ask you why you came back. You tell them"
PRINT "that you wanted to thank them. They tell you that if you come back again,"
PRINT "you will be killed ,presumebly because they like their privacy."
SLEEP 10
GOTO 230
END IF
IF wit = 2 THEN
PRINT " You enter the house . The witches tell you that you were warned yet you still"
SLEEP 2
PRINT " defied them. They tell you that you will now die. An energy discharge flies"
SLEEP 2
PRINT " from the lead witches hand..... "
SLEEP 2
PRINT "And you die."
SLEEP 4
GOSUB death
ELSE
PRINT "You enter the house and give the witches the voodoo doll. They thank you"
PRINT " and give you a padlock key. you thank them and leave."
vdoll = 2
wit = 1
keyc = 1
SLEEP 6
GOTO 230
END IF



240
' aaaemptyfield240
data$ = "c:\kings\field70.aea"
GOSUB aaapic
CALL text
PRINT "You see nothing here but a huge empty field and train tracks."
241
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 250
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 240
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You have a look around but you see nothing of interest"
GOTO 241
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 230
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 190
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 310
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 241
ELSE
CALL mistake
GOTO 241
END IF

250
' aaablacksmith250
data$ = "c:\kings\smith.aea"
GOSUB aaapic
CALL text
PRINT "You  see Manor's only blacksmith shop here.Behind you is Manor's connection to   the outside world , a train station."
259
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 260
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 240
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 250
END IF
IF x$ = "go to the blacksmith" OR x$ = "go to the blacksmith shop" OR x$ = "blacksmith" OR x$ = "blacksmith shop" THEN
GOTO 256
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 180
END IF
IF x$ = "go to the train station" OR x$ = "enter train station" OR x$ = "enter the train station" OR x$ = "go to the train" OR x$ = "catch the train" THEN
GOTO 251
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 300
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 259
ELSE
CALL mistake
GOTO 259
END IF

251 'train station

252
data$ = "c:\kings\train.aea"
GOSUB aaapic
CALL text
PRINT "You are at the ticket counter"
tic:
INPUT "........?", train1$
IF train1$ = "buy ticket" OR train1$ = "buy a ticket" OR train1$ = "buy train ticket" OR train1$ = "buy  a train ticket" OR train1$ = "give a dollar to sue" OR train1$ = "give sue a dollar" THEN
GOTO 253
END IF
IF train1$ = "right " OR train1$ = "left" OR train1$ = "up" OR train1$ = "down " OR train1$ = "north" OR train1$ = "south" OR train1$ = "east " OR train1$ = "west" OR train1$ = "leave trainstation" OR train1$ = "leave the train station" OR train1$ = "leave train station" OR train1$ = "leave the trainstation" THEN
GOTO 250
END IF
IF train1$ = "help" OR train1$ = "help me" THEN
CALL help
GOTO tic
END IF
IF train1$ = "inv" OR train1$ = "inventory" THEN
GOSUB inventory
GOTO 252
END IF
IF train1$ = "exit" OR train1$ = "quit" THEN
GOTO quit
ELSE
CALL mistake
GOTO tic
END IF

253
IF dollar = 1 THEN
PRINT "Sue graciously gives you a train ticket for the dollar and wishes you well on your  quest. You hop on the train to England and off you go."
GOTO train
ELSE
GOTO 254
END IF

254
IF gold = 1 THEN
PRINT "Sue tells you that tickets cost a dollar, not a gold coin but hard currency."
SLEEP 5
GOTO 252
ELSE
PRINT "Sue tells you that tickets cost a dollar ,so you have to find some money"
SLEEP 5
GOTO 252
END IF

256
' aaablacksmith250
data$ = "c:\kings\bsmith.aea"
GOSUB aaapic
CALL text
PRINT "You enter the blacksmith's shop and he tells you that if you have some metal , he can make you a rifle ,otherwise he has nothing to sell."
bla:
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 250
END IF
IF x$ = "talk to blacksmith" OR x$ = "talk to the blacksmith" THEN
GOTO 257
END IF
IF x$ = "go to the train station" OR x$ = "go to the train" OR x$ = "catch the train " THEN
GOTO 251
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO bla
ELSE
CALL mistake
GOTO bla
END IF

257
IF rifle = 1 THEN
PRINT "You talk to the blacksmith but he tells you that he has no more wares to sell you  and he used all of the scrapmetal making your rifle."
SLEEP 5
GOTO bla
ELSE
GOTO 258
END IF

258
IF metal = 1 THEN
PRINT "You give the blacksmith your scrap metal and he makes you a brand new rifle for 1  gold coin."
rifle = 1
SLEEP 5
GOTO bla
ELSE
PRINT "You tell the blacksmith that you have no metal.He says that if you find some metal you should talk to him again."
SLEEP 5
GOTO bla
END IF

260
' aaafactorypic
data$ = "c:\kings\factory.aea"
GOSUB aaapic
CALL text
PRINT "You see nothing here but a huge fireworks factory. The train tracks go south   from here."
264
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 270
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 260
END IF
IF x$ = "enter factory" OR x$ = "go inside the factory" OR x$ = "enter the fireworks factory" OR x$ = "go inside the fireworks factory" OR x$ = "enter  fireworks factory" OR x$ = "go inside  fireworks factory" THEN
GOTO 261
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 250
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 170
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 290
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 264
ELSE
CALL mistake
GOTO 264
END IF

261
CLS
data$ = "c:\kings\infactor.aea"
GOSUB aaapic
CALL text
PRINT "You go inside the fireworks factory.You see a sales counter."
265
INPUT "......?", x$
IF x$ = "look" OR x$ = "look around" THEN
PRINT "A sales counter looks like the only part of the factory you will be allowed  to access"
GOTO 265
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 261
END IF
IF x$ = "leave factory" OR x$ = "leave the factory" OR x$ = "leave fireworks factory" OR x$ = "leave the fireworks factory" THEN
GOTO 260
END IF
IF x$ = "go to the sales counter" OR x$ = "go to sales counter" OR x$ = "goto sales counter" OR x$ = "look at sales counter" THEN
GOTO 262
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 265
ELSE
CALL mistake
GOTO 265
END IF

262
IF anne = 1 THEN
PRINT "You goto the sales counter and talk to the supervisor. He tells you that you can buy 10   firecrackers  for two gold pieces."
anne2 = 1
GOTO 266
END IF
IF ann = 1 AND fire > 0 THEN
PRINT "You talk to the supervisor but you feel that you have bought enough firecrackers for the   time being"
anne2 = 1
GOTO 266
END IF
IF fire > 0 THEN
PRINT "You talk to Anne but you feel that you have bought enough firecrackers for the   time being"
GOTO 266
ELSE
PRINT "You goto the sales counter and talk to Anne. She tells you that you can buy 10   firecrackers  for two gold pieces."
END IF
266
INPUT "......?", x$
IF x$ = "buy 10 firecrackers" OR x$ = "buy firecrackers" THEN
GOTO 263
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 260
END IF
IF x$ = "leave counter" OR x$ = "leave" OR x$ = "enter the fireworks factory" OR x$ = "go inside the fireworks factory" OR x$ = "enter  fireworks factory" OR x$ = "go inside  fireworks factory" THEN
PRINT " you leave the counter"
GOTO 265
END IF
IF x$ = "talk" OR x$ = "talk to anne" THEN
PRINT "You tell anne about your quest and she wishes you well."
GOTO 266
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "Anne looks at you ,smiling politely"
GOTO 266
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 266
ELSE
CALL mistake
GOTO 266
END IF

263
IF gold = 1 THEN
PRINT "You buy 10 firecrackers off Anne"
fire = 10
GOTO 266
ELSE
PRINT "How can you buy firecrackers if you have no money"
GOTO 266
END IF


270
' aaabeachpic

data$ = "c:\kings\beach.aea"
GOSUB aaapic
CALL text
PRINT "You are on the beach and there is water all the way to the right."
271
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
CALL water
GOTO 271
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 270
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see a beach , which looks good but is nothing extraordinary"
GOTO 271
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 260
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 160
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 280
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 271
ELSE
CALL mistake
GOTO 271
END IF

280
' aaabeachpic
data$ = "c:\kings\beach.aea"
GOSUB aaapic
CALL text
PRINT "You are on the beach , a bit further up and there is water all the way to the right."
281
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
CALL water
GOTO 281
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 280
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "Why look around , it looks like every other beach you have seen"
GOTO 281
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 290
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 270
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 150
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 281
ELSE
CALL mistake
GOTO 281
END IF

290
' aaaforestpic
data$ = "c:\kings\forest.aea"
GOSUB aaapic
CALL text
PRINT "The forest is cleared a little to make way for the railway tracks but you can   see a house in a tree."
292
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 280
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 290
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You look around and it looks as though there is nothing special in this whole damn forest. "
GOTO 292
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 300
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 260
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 140
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 292
ELSE
CALL mistake
GOTO 292
END IF


300
' aaaforestpic
data$ = "c:\kings\forest.aea"
GOSUB aaapic
CALL text
PRINT "You are in the middle of a forest."
301
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 290
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 310
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 300
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see a large forest "
GOTO 301
END IF

IF x$ = "north" OR x$ = "up" THEN
GOTO 250
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 130
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 301
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 301
ELSE
CALL mistake
GOTO 301
END IF

310
' aaapowerstation310
CALL text
data$ = "c:\kings\factory.aea"
GOSUB aaapic
PRINT "You see a coal fired power station , it looks like they have run out of coal."
313
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 300
END IF
IF x$ = "enter power station" OR x$ = "go inside the power station" OR x$ = "enter the power station" OR x$ = "go inside the power station" OR x$ = "enter  power station" OR x$ = "go inside power station" THEN
GOTO 311
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 310
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 320
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 240
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 120
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 313
ELSE
CALL mistake
GOTO 313
END IF

311
CLS
data$ = "c:\kings\inpower.aea"
GOSUB aaapic
CALL text
PRINT "You go inside and see two high profile workers , Mr Smithers and Mr Burns, the boss."
315
INPUT "......?", x$
IF x$ = "leave power station" OR x$ = "leave the power station" OR x$ = "leave the power station" OR x$ = "leave " OR x$ = "leave  power station" OR x$ = "exit power station" THEN
GOTO 310
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 311
END IF
IF x$ = "talk to smithers" OR x$ = "talk to mr smithers " OR x$ = "Talk to Smithers" OR x$ = "Talk to Mr Smithers " THEN
GOTO 312
END IF
IF x$ = "talk to burns" OR x$ = "talk to mr burns  " OR x$ = "Talk to Burns" OR x$ = "Talk to Mr Burns " THEN
GOTO 314
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 315
ELSE
CALL mistake
GOTO 315
END IF

312
IF coal = 1 THEN
PRINT "Mr Smithers tells you that you should talk to Mr Burns about the coal"
SLEEP 5
GOTO 315
ELSE
PRINT "You say hello to Mr Smithers and he says hello back to you"
SLEEP 5
GOTO 315
END IF

314
IF coal = 1 THEN
PRINT "Mr Burns asks you where you got the coal and you tell him that you got it at the  coal mine. You exchange the key for spare nuclear bomb that Mr burns had lying  around. "
coal = 2
keyb = 2
nuke = 1
SLEEP 10
GOTO 315
ELSE
PRINT "You say hello to Mr Burns and he asks you why are you staring at him like that for. You tell him that you like him."
SLEEP 5
GOTO 315
END IF



320
' aaafactorypic
data$ = "c:\kings\factory.aea"
GOSUB aaapic
CALL text
PRINT "You see a factory but it has no  signs on it"
321
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 310
END IF
IF x$ = "left" OR x$ = "west" THEN
GOTO 330
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 320
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 230
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 110
END IF
IF x$ = "look" OR x$ = "look around" THEN
PRINT "You see a factory that has been abandoned for some time. You look through a   window but see nothing of interest."
GOTO 321
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 321
ELSE
CALL mistake
GOTO 321
END IF

330
' aaadesertpic
data$ = "c:\kings\desert.aea"
GOSUB aaapic
CALL text
PRINT "a desert surrounds you and you see nothing"
331
INPUT "......?", x$
IF x$ = "right" OR x$ = "east" THEN
GOTO 320
END IF
IF x$ = "left" OR x$ = "west" THEN
' desert
GOTO 330
END IF
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO 330
END IF
IF x$ = "look" OR x$ = "around" THEN
PRINT "You look around the desert but find nothing of interest."
GOTO 331
END IF
IF x$ = "north" OR x$ = "up" THEN
GOTO 220
END IF
IF x$ = "south" OR x$ = "down" THEN
GOTO 100
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
GOTO 331
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 331
ELSE
CALL mistake
GOTO 331
END IF

train:
data$ = "c:\kings\ltrain.aea"
GOSUB aaapic
CALL text
PRINT "Your train has just arrived in England. You are in the piccadilly circus station."
341
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO train
END IF
IF x$ = "look" OR x$ = "around" THEN
PRINT "You look around and see a couple of very weird people in the train , but with all the guns that you have , you feel pretty damn safe."
GOTO 341
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "leave the train" OR x$ = "goto the station" OR x$ = "leave train" THEN
GOTO station
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 341
ELSE
CALL mistake
GOTO 341
END IF

station:
data$ = "c:\kings\station.aea"
GOSUB aaapic
CALL text
PRINT "You just got off the train and had a look around the station. You realise that   in order to find jack , you will have to catch a cab."
351
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO station
END IF
IF x$ = "look" OR x$ = "around" THEN
PRINT "You look around the station and see a number of cabs available for hire. You also see some drunken people brandishing swords.You hear the name Steve."
GOTO 351
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "make a hangover cure" OR x$ = "whip up an eggflip" OR x$ = "mix the egg and sugar and milk" THEN
GOTO hangover
PRINT "You mix 3 essential ingredients to make a hangover cure"
END IF
IF x$ = "talk to a drunken person" OR x$ = "talk to steve" OR x$ = "buy a knife" THEN
GOTO knife
END IF
IF x$ = "leave the station" OR x$ = "catch a cab" OR x$ = "hire a cab" THEN
GOTO cab
END IF
IF x$ = "catch the train" OR x$ = "goto the train" OR x$ = "return to the train" THEN
GOTO train
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 351
ELSE
CALL mistake
GOTO 351
END IF

hangover:
IF eggs = 1 AND milk = 1 AND sugar = 1 THEN
PRINT "You mix 3 essential ingredients to make a hangover cure"
hangover = 1
eggs = 0
milk = 0
sugar = 0
GOTO 351
ELSE
PRINT "you don't have all the essential inredients necessary to make a hangover cure"
GOTO 351
END IF

knife:
IF hangover = 1 AND vodka = 1 THEN
PRINT "You give the drunken man a bottle of vodka and a hangover cure in exchange for his sword."
hangover = 0
vodka = 0
sword = 1
GOTO 351
ELSE
PRINT "Steve wants a bottle of vodka and a hangover cure in exchange for his sword."
GOTO 351
END IF


cab:
data$ = "c:\kings\incab.aea"
GOSUB aaapic
CALL text
PRINT "After getting into the cab , you tell the driver to take you 22 evergreen terrace."
361
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO station
END IF
IF x$ = "look" OR x$ = "around" THEN
GOTO lcab
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "leave cab" OR x$ = "leave a cab" OR x$ = "leave the cab" THEN
GOTO motion
GOTO 361
END IF
IF x$ = "talk to driver" OR x$ = "talk to charlie" OR x$ = "talk to the driver" THEN
GOTO tcab
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 361
ELSE
CALL mistake
GOTO 361
END IF

motion:
IF cab = 1 THEN
GOTO jack
ELSE
PRINT "You can't leave the cab while it is in motion."
GOTO 361
END IF

lcab:
IF cab = 1 THEN
PRINT "The cab has reached its destination , you can leave the cab now . "
GOTO 361
ELSE
PRINT "You look around the cab and see a relatively young driver ,going about is occupation rather safely.He looks bored , maybe you should talk to him."
GOTO 361
END IF

tcab:
IF cab = 1 THEN
PRINT "The driver wishes you well."
GOTO 361
ELSE
PRINT "You talk to Charlie and tell him why you came to England. As he stops in front of 22 evergreen terrace , he wishes you well."
cab = 1
GOTO 361
END IF

jack:
data$ = "c:\kings\jackhous.aea"
GOSUB aaapic
CALL text
PRINT "As soon as you get out of the cab ,you check the house out. After a brief look   over you spot jack through a window. You quickly race back to the front of the house"
371
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO station
END IF
IF x$ = "look" OR x$ = "around" THEN
PRINT "You look around the house and realise that it is now the prime time to get rid   Jack and to make him pay for killing your father."
GOTO 371
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "throw firecrackers" OR x$ = "use firecrackers" OR x$ = "kill jack with firecrackers" THEN
GOTO firekill
END IF
IF x$ = "enter house" OR x$ = "go inside the house" OR x$ = "enter the house" THEN
GOTO jackshouse
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 371
ELSE
CALL mistake
GOTO 371
END IF

firekill:
IF fire > 0 THEN
data$ = "c:\kings\nukeend.aea"
GOSUB aaapic
CALL fireend
GOSUB credit
GOTO thestop
ELSE
PRINT "But you don't have any firecrackers."
GOTO 371
END IF


jackshouse:
data$ = "c:\kings\injhous.aea"
GOSUB aaapic
CALL text
PRINT "You enter Jack's house. You walk through his until you reach the kitchen.There , you see Jack putting something in to a large fridge.Now seems a perfect time to strike."
381
INPUT "......?", x$
IF x$ = "inv" OR x$ = "inventory" THEN
GOSUB inventory
GOTO jackshouse
END IF
IF x$ = "look" OR x$ = "around" THEN
PRINT "You look around the house and you think to yourself that it is amazing that jack hasn't noticed you yet. "
GOTO 381
END IF
IF x$ = "use sword" OR x$ = "chop up jack" OR x$ = "slice him" THEN
GOTO swordkill
END IF
IF x$ = "use shotgun" OR x$ = "shoot jack" OR x$ = "shoot him" THEN
GOTO shotkill
END IF
IF x$ = "use nuclear bomb" OR x$ = "use nuke" OR x$ = "detonate nuclear bomb" THEN
GOTO nukekill
END IF
IF x$ = "quit" OR x$ = "exit" THEN
GOTO quit
END IF
IF x$ = "help" OR x$ = "help me" THEN
CALL help
GOTO 381
ELSE
CALL mistake
GOTO 381
END IF

nukekill:
IF nuke = 1 THEN
data$ = "c:\kings\jhnuked.aea"
GOSUB aaapic
CALL nukeend
GOSUB credit
GOTO thestop
ELSE
PRINT "But you don't have a sword"
GOTO 381
END IF

swordkill:
IF sword = 1 THEN
data$ = "c:\kings\swkill.aea"
GOSUB aaapic
CALL swordend
GOSUB credit
GOTO thestop
ELSE
PRINT "But you don't have a sword"
GOTO 381
END IF

shotkill:
IF rifle = 1 THEN
GOTO shotkill2
ELSE
PRINT "But you haven't got a gun"
GOTO 381
END IF

shotkill2:
IF bullet = 1 THEN
data$ = "c:\kings\shotpic.aea"
GOSUB aaapic
CALL shotend
GOSUB credit
GOTO thestop
ELSE
PRINT "But you don't have a box of shotgun cartridges."
GOTO 381
END IF

credit:
data$ = "c:\kings\credits.aea"
GOSUB aaapic
SLEEP
RETURN


inventory:
CLS
VIEW PRINT 1 TO 30

PRINT "                       INVENTORY"
PRINT "                   You are carrying...."
PRINT ""
IF sword = 1 THEN
PRINT "                        An old sword"
END IF
IF hangover = 1 THEN
PRINT "                        A hangover cure"
END IF
IF rifle = 1 THEN
PRINT "                        A brand new shotgun"
END IF
IF keya = 1 THEN
PRINT "                        Farm door key"
END IF
IF nuke = 1 THEN
PRINT "                        Nuclear Bomb"
END IF
IF keyb = 1 THEN
PRINT "                        Padlock key"
END IF
IF fire > 0 THEN
PRINT "                        10 firecrackers"
END IF
IF gold = 1 THEN
PRINT "                        Bag full of gold coins  "
END IF
IF fish = 1 THEN
PRINT "                        Fishing rod    "
END IF
IF spell = 1 THEN
PRINT "                        Time manipulation spell    "
END IF
IF dollar = 1 THEN
PRINT "                        Dollar coin    "
END IF
IF gun = 1 THEN
PRINT "                        Hand gun   "
END IF
IF vdoll = 1 THEN
PRINT "                        A voodoo doll    "
END IF
IF vodka = 1 THEN
PRINT "                        A bottle of russian vodka   "
END IF
IF eggs = 1 THEN
PRINT "                        a dozen eggs  "
END IF
IF milk = 1 THEN
PRINT "                        A bottle of milk    "
END IF
IF sugar = 1 THEN
PRINT "                        A container of sugar   "
END IF
IF metal = 1 THEN
PRINT "                        some scrapmetal   "
END IF
IF bullet = 1 THEN
PRINT "                        A box of shotgun cartridges  "
END IF
IF coal = 1 THEN
PRINT "                        A 10 kg piece of coal  "
END IF
IF keyc = 1 THEN
PRINT "                        Padlock key 2  "
END IF

PRINT ""
IF keya = 1 OR lsd > 0 OR nuke = 1 OR fire > 0 OR rope = 1 OR keyb = 1 OR maglass = 1 OR gold = 1 OR keyc = 1 OR fish = 1 OR spell = 1 OR dollar = 1 OR acorn = 1 OR gun = 1 OR vdoll = 1 OR vodka = 1 OR eggs = 1 OR milk = 1 OR sugar = 1 OR metal = 1 OR bullet = 1 OR coal = 1 THEN
PRINT ""
ELSE
PRINT "                         Nothing"
PRINT ""
END IF
inv = 1
PRINT "                   Press any key to exit INVENTORY screen"
SLEEP 10
VIEW PRINT 27 TO 30
RETURN

death:
STOP


quit:
CALL quit
RETURN

aaapic:
COLOR 1
VIEW PRINT 1 TO 30
DEFINT A-Z
DIM byte AS STRING * 1
CLS
'INPUT "Bitmap Filename"; data$
IF LTRIM$(RTRIM$(data$)) = "" THEN END
OPEN data$ FOR BINARY AS #1
IF LOF(1) = 0 THEN
PRINT "File not found! Press any key"
CLOSE
GOTO lucky
END IF

table$ = INPUT$(54, #1)  'Get the file header (54 bytes)
DIM table&(30)           'Create numerical array for header
DEF SEG = VARSEG(table&(1))
pointer% = VARPTR(table&(1))

'Poke the data from string "table$" into numerical array "table&"
FOR x% = 0 TO 51
 POKE pointer% + x%, ASC(MID$(table$, x% + 3, 1))
NEXT
DEF SEG

'Check for valid file type
IF MID$(table$, 1, 2) <> "BM" OR table&(4) <> 40 THEN
   PRINT "Not a valid *.BMP file!": END
END IF
IF table&(8) <> 0 THEN
   PRINT "This program will not diplay RLE encoded files": END
END IF
IF ASC(MID$(table$, 29, 1)) <> 4 THEN
PRINT "Only 16 color bitmaps are supported!": END
END IF

'Set the video mode for best picture fit
IF (table&(5) < 321) AND (table&(6) < 201) THEN
   SCREEN 13
ELSE
   SCREEN 12
END IF
LOCATE 14, 1
'PRINT "                               Image is loading       "

thecolors$ = INPUT$(table&(3) - 54, #1) 'Read in pallette info

DEF SEG = VARSEG(pal&)
pointer% = VARPTR(pal&)
'Poke the pallette info from the string "thecolors$"
'into pal& and reduce to 6 bits per byte.
FOR x% = 0 TO 63 STEP 4
 POKE pointer%, (ASC(MID$(thecolors$, x% + 3, 1))) \ 4
 POKE pointer% + 1, (ASC(MID$(thecolors$, x% + 2, 1))) \ 4
 POKE pointer% + 2, (ASC(MID$(thecolors$, x% + 1, 1))) \ 4
 POKE pointer% + 3, 0
PALETTE x% \ 4, pal&
NEXT
DEF SEG

'Read in Bitmap data and set pixels accordingly
y% = table&(6) 'Put number of vertical pixels into y%
DO
  data$ = INPUT$((((table&(5) - 1) OR 7) + 1) \ 2, #1)
    IF (table&(5) \ 2) < LEN(data$) THEN
       linelength% = table&(5) \ 2
    ELSE
       linelength% = LEN(data$)
    END IF
    FOR x% = 1 TO linelength%
      pixel% = ASC(MID$(data$, x%, 1))
      PSET (x% * 2 + 1, y%), pixel% AND 15
      PSET (x% * 2, y%), pixel% \ 16
     NEXT
    y% = y% - 1
LOOP UNTIL EOF(1)
CLOSE
lucky:
VIEW PRINT 27 TO 30
COLOR 14
RETURN

thestop:
STOP

DEFSNG A-Z
SUB aaawelcome
COLOR 1
PRINT "Welcome to Murder Quest "
COLOR 14
PRINT "this is like a regular graphics adventure except that it is mainly text based    and only occasionly is there a picture to help tell you what is going on. To   play it use simple 2 ,3 ,4 or 5 word phrases that include look, take, get , push, etc and make sure you add an appropriate verb and the name of the object. You start after you go north and leave your castle to kill the man who "
PRINT " murdered your father.Your name is Jim .You have nothing except your sword."

END SUB

SUB desert
1
RANDOMIZE TIMER
x% = INT(RND * 10)

IF x% = 1 OR x% = 6 THEN
PRINT "If you go that way you will die."
SLEEP 4
GOTO 111
END IF

IF x% = 2 OR x% = 7 THEN
PRINT "Are you crazy , there is nothing over there except a large desert?"
SLEEP 4
GOTO 111
END IF

IF x% = 3 OR x% = 8 THEN
PRINT "Don't be an idiot , the desert is over 400 kilometers squared and has very little water or food there."
SLEEP 4
GOTO 111
END IF

IF x% = 4 OR x% = 9 THEN
PRINT "There is nothing over there except a desert"
SLEEP 4
GOTO 111
END IF

IF x% = 5 OR x% = 10 THEN
PRINT "I am sorry ,but it seems that Jim is refusing to go and risk his life swimming  into the middle of nowhere. "
SLEEP 4
GOTO 111
ELSE GOTO 1
END IF

111

END SUB

DEFINT A-Z
SUB fireend
VIEW PRINT 24 TO 30
PRINT "You landed the firecrackers perfectly and Jack's head was blasted half way      "
SLEEP 1
PRINT "across evergreen terrace.You then found his head and kicked it again.Happy"
SLEEP 1
PRINT "with what you did to him , your father came down from the place above and"
SLEEP 1
PRINT "thanked you personally for avenging his death.He then disappeared and you"
SLEEP 1
PRINT "never saw him again. "
SLEEP 5
PRINT "press any key"
SLEEP

END SUB

DEFSNG A-Z
SUB help
8
RANDOMIZE TIMER
x% = INT(RND * 10)

IF x% = 1 THEN
PRINT "HELP TIP #1"
PRINT " Think about what you are typing and then type it slowly."

GOTO 9
END IF

IF x% = 2 THEN
PRINT "HELP TIP #2 "
PRINT "What did you say?"

GOTO 9
END IF

IF x% = 3 THEN
PRINT "HELP TIP #3 "
PRINT "Turn off the CAPS LOCK button."

GOTO 9
END IF

IF x% = 4 THEN
PRINT "HELP TIP #4 "
PRINT "Look at the pictures and text carefully, and use correct grammer and spelling."

GOTO 9
END IF

IF x% = 5 THEN
PRINT "HELP TIP #5 "
PRINT "Buy a hint book off joe, very cheap ,<5 dollars "

GOTO 9
END IF

IF x% = 6 THEN
PRINT "HELP TIP #6"
PRINT " Use correct spelling."

GOTO 9
END IF

IF x% = 7 THEN
PRINT "HELP TIP #7"
PRINT " Use correct grammer."

GOTO 9
END IF

IF x% = 8 THEN
PRINT "HELP TIP #8"
PRINT " Try another way to say that."

GOTO 9
END IF

IF x% = 9 THEN
PRINT "HELP TIP #9"
PRINT "Don't use capital letters unless they are necessary."

GOTO 9
END IF

IF x% = 10 THEN
PRINT "HELP TIP #10"
PRINT "What are you trying to say."

GOTO 9
ELSE GOTO 8
END IF

9

END SUB

SUB mistake
12
RANDOMIZE TIMER
x% = INT(RND * 10)

IF x% = 1 THEN
PRINT "Think about what you are typing and then type it slowly."

GOTO 13
END IF

IF x% = 2 THEN
PRINT "What did you say?"

GOTO 13
END IF

IF x% = 3 THEN
PRINT "Turn off the CAPS LOCK button."

GOTO 13
END IF

IF x% = 4 THEN
PRINT "Look at the pictures and text carefully, and use correct grammer and spelling."

GOTO 13
END IF

IF x% = 5 THEN
PRINT "hahahahahaahahahahhaahhahhahhahha you are crap at this game. "

GOTO 13
END IF

IF x% = 6 THEN
PRINT "Use correct spelling."

GOTO 13
END IF

IF x% = 7 THEN
PRINT "Use correct grammer."

GOTO 13
END IF

IF x% = 8 THEN
PRINT "Try another way to say that."

GOTO 13
END IF

IF x% = 9 THEN
PRINT "Don't use capital letters unless they are necessary."

GOTO 13
END IF

IF x% = 10 THEN
PRINT "What are you trying to say."

GOTO 13
ELSE GOTO 12
END IF

13
END SUB

DEFINT A-Z
SUB nukeend
VIEW PRINT 21 TO 30
PRINT "You detonated the nuclear bomb (.2 kilotons of TNT) on a 3 minute timer delay."

SLEEP 1
PRINT "You king-hitted jack in back of his head and tied him down with a nearby cord."
SLEEP 1
PRINT "You then opened the fridge to see what was in there and who did you see but"
SLEEP 1
PRINT "Anne. Apparently while she was walking down to the field , Jack kidnapped her"
SLEEP 1
PRINT "and brought her down here to fulfill his obsession with killing people.While "
SLEEP 1
PRINT "Anne and you escaped to a safe distance. Anne thanked you for saving her and "
SLEEP 1
PRINT "reminded you that you had a date to keep with her.As you reply , you hear a "
SLEEP 1
PRINT "shrill scream just before a bright light flashes everywhere. A mushroom cloud "
SLEEP 1
PRINT "then developed over Jack's house and your Father appeared before your veryeyes."
SLEEP 1
PRINT "He thanked you for avenging his death and then he disappeared again , forever."
SLEEP 1
PRINT "press any key"
SLEEP

END SUB

DEFSNG A-Z
SUB quit
11
RANDOMIZE TIMER
x% = INT(RND * 10)
IF x% = 1 THEN
PRINT "OH well , it look's like it is time for you to go."
SLEEP 5
STOP
END IF

IF x% = 2 THEN
PRINT "It is time for you to return to the world of windows"
SLEEP 5
STOP
END IF

IF x% = 3 THEN
PRINT "It is a real shame that you can not save this game"
SLEEP 5
STOP
END IF

IF x% = 4 THEN
PRINT "Since you have decided to quit , I am hurt and have decided to unleach a virus   on your computer. Have a nice day"
SLEEP 5
STOP
END IF

IF x% = 5 THEN
PRINT "You have decided to go back to dos either because you are not good at this game  or because you are bored. "
SLEEP 5
STOP
END IF

IF x% = 6 THEN
PRINT "You did not find any secrets"
SLEEP 5
STOP
END IF

IF x% = 7 THEN
PRINT "Fine , quit then you stupid damned coward"
SLEEP 5
STOP
END IF

IF x% = 8 THEN
PRINT "I think your budgie isn't feeling well , but can you tell him to stop chirping"
SLEEP 5
STOP
END IF

IF x% = 9 THEN
PRINT "It is a darned shame that your quiting since you saw only a fraction of the game"
SLEEP 5
STOP
END IF

IF x% = 10 THEN
PRINT "I can't believe that you are quitting"
SLEEP 5
STOP
ELSE GOTO 11
END IF

END SUB

DEFINT A-Z
SUB road30
CLS
DRAW "c2 l320 r680 l320 l170  ta-10 r150 ta-10 d250 ta0 r120 ta10 u250 r150 ta0 l100 ta15 l65 ta-15 l65"
PAINT (10, 400), 2, 2
PAINT (610, 400), 2, 2
PAINT (360, 242), 2, 2
PAINT (10, 10), 14, 2
 CIRCLE (100, 80), 40, 7
 PAINT (101, 79), 11, 7

END SUB

SUB shotend
VIEW PRINT 20 TO 30
PRINT "You yell out jack . As he turns towards you , you pump some bullets right through"
SLEEP 2
PRINT "his chest .As he keels over , you kick his head. Once his head came down to rest "
SLEEP 2
PRINT "your father appeared before you and thanked you for revenging his death. Your"
SLEEP 2
PRINT "father then disappeared and you never saw him again."
SLEEP 5
PRINT "press any key"
SLEEP
END SUB

SUB shotend2
VIEW PRINT 20 TO 30
PRINT "You yell out jack . As he turns towards you , you pump some bullets right through"
SLEEP 2
PRINT "his chest .As he keels over , you kick his head. Once his head came down to rest "
SLEEP 2
PRINT "your father appeared before you and thanked you for revenging his death. Your"
SLEEP 2
PRINT "father then disappeared and you never saw him again."
SLEEP 5
PRINT "press any key"
SLEEP

END SUB

SUB swordend
VIEW PRINT 20 TO 30
PRINT "You yell out jack . As he turns towards you , you slice your sword right through"
SLEEP 2
PRINT "his chest .As he keels over , you slice his head. Once his head split in two ,  "
SLEEP 2
PRINT "your father appeared before you and thanked you for revenging his death. Your"
SLEEP 2
PRINT "father then disappeared and you never saw him again."
SLEEP 5
PRINT "press any key"
SLEEP

END SUB

SUB text
PRINT "                                                                                "
PRINT "                                                                                "
PRINT "                                                                                "
PRINT "                                                                                "
END SUB

DEFSNG A-Z
SUB water
7
RANDOMIZE TIMER
x% = INT(RND * 10)

IF x% = 1 OR x% = 6 THEN
PRINT "If you go that way you will die."
SLEEP 4
GOTO 6
END IF

IF x% = 2 OR x% = 7 THEN
PRINT "Are you crazy , there is nothing over there except water?"
SLEEP 4
GOTO 6
END IF

IF x% = 3 OR x% = 8 THEN
PRINT "Don't be an idiot , the next continent is over 400 kilometers away from here and  you wont be able to swim there."
SLEEP 4
GOTO 6
END IF

IF x% = 4 OR x% = 9 THEN
PRINT "There is nothing over there except water"
SLEEP 4
GOTO 6
END IF

IF x% = 5 OR x% = 10 THEN
PRINT "I am sorry ,but it seems that Jim is refusing to go and risk his life swimming  into the middle of nowhere. "
SLEEP 4
GOTO 6
ELSE GOTO 7
END IF

6

END SUB

